javax.validation.bootstrap

## Interface ProviderSpecificBootstrap<T extends Configuration<T>>

-     public interface ProviderSpecificBootstrap<T extends Configuration<T>>

  Defines the state used to bootstrap Bean Validation and creates a provider specific `Configuration` of type `T`.

  The specific `Configuration` is linked to the provider via the generic parameter of the `ValidationProvider` implementation.

  The requested provider is the first provider instance assignable to the requested provider type (known when `ProviderSpecificBootstrap` is built). The list of providers evaluated is returned by `ValidationProviderResolver`. If no `ValidationProviderResolver` is defined, the default `ValidationProviderResolver` strategy is used.
  Author:
    Emmanuel Bernard

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `configure()` Determines the provider implementation suitable for `T` and delegates the creation of this specific `Configuration` subclass to the provider.
    `ProviderSpecificBootstrap<T>` | `providerResolver(ValidationProviderResolver resolver)` Optionally defines the provider resolver implementation used.

- - ### Method Detail

    - #### providerResolver

          ProviderSpecificBootstrap<T> providerResolver(ValidationProviderResolver resolver)

      Optionally defines the provider resolver implementation used. If not defined, use the default `ValidationProviderResolver`
      Parameters:
        `resolver` - `ValidationProviderResolver` implementation used
      Returns:
        `this` following the chaining method pattern

    - #### configure

          T configure()

      Determines the provider implementation suitable for `T` and delegates the creation of this specific `Configuration` subclass to the provider.
      Returns:
        `Configuration` sub interface implementation
      Throws:
        `ValidationException` - if the `Configuration` object cannot be built; this is generally due to an issue with the `ValidationProviderResolver`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.